Name: icinga-kubernetes
Version: 0.3.0
Release: 1.fc40
Summary: Icinga for Kubernetes Monitoring Daemon

Group: Productivity/Databases/Daemons

License: AGPLv3+

URL: https://icinga.com
Source0: icinga-kubernetes-0.3.0.tgz
Source1: icinga-kubernetes-rpm.tgz

BuildRequires: gcc
BuildRequires: systemd-rpm-macros

Requires(pre): shadow-utils

%description
Icinga for Kubernetes is a set of components for monitoring and visualizing Kubernetes resources.
This package installs the Icinga for Kubernetes daemon, which uses the Kubernetes API to monitor the configuration and
status changes of Kubernetes resources synchronizing every change in a database.

%define debug_package %{nil}

%prep
%autosetup
cd '/%_topdir/BUILD'
cd 'icinga-kubernetes-0.3.0'
rm -rf '%_topdir/BUILD/icinga-kubernetes-0.3.0-SPECPARTS'
/usr/bin/mkdir -p '%_topdir/BUILD/icinga-kubernetes-0.3.0-SPECPARTS'
/usr/lib/rpm/rpmuncompress -x -v '%_topdir/SOURCES/icinga-kubernetes-rpm.tgz'
STATUS=$?
if [ $STATUS -ne 0 ]; then
exit $STATUS
fi
/usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .

sed -i s@/usr/sbin@/usr/sbin@g %_topdir/SOURCES/icinga-kubernetes-rpm.tgz
go build -buildvcs=false -trimpath -o . ./cmd/...

%install

install -Dpm 0755 icinga-kubernetes %_topdir/BUILDROOT/icinga-kubernetes-0.3.0-1.fc40.x86_64/usr/sbin/icinga-kubernetes
install -dm 0750 %_topdir/BUILDROOT/icinga-kubernetes-0.3.0-1.fc40.x86_64/etc/icinga-kubernetes
install -pm 0640 config.example.yml %_topdir/BUILDROOT/icinga-kubernetes-0.3.0-1.fc40.x86_64/etc/icinga-kubernetes/config.yml
install -Dpm 0644 icinga-kubernetes.service %_topdir/BUILDROOT/icinga-kubernetes-0.3.0-1.fc40.x86_64%{_unitdir}/icinga-kubernetes.service
install -Dpm 0644 icinga-kubernetes@.service %_topdir/BUILDROOT/icinga-kubernetes-0.3.0-1.fc40.x86_64%{_unitdir}/icinga-kubernetes@.service
install -Dpm 0755 icinga-kubernetes-generator %_topdir/BUILDROOT/icinga-kubernetes-0.3.0-1.fc40.x86_64%{_unitdir}-generators/icinga-kubernetes-generator
install -Dpm 0644 conf/icinga-kubernetes %_topdir/BUILDROOT/icinga-kubernetes-0.3.0-1.fc40.x86_64/etc/default/icinga-kubernetes
install -pm 0644 conf/default.env %_topdir/BUILDROOT/icinga-kubernetes-0.3.0-1.fc40.x86_64/etc/icinga-kubernetes/default.env

install -dm 0755 %_topdir/BUILDROOT/icinga-kubernetes-0.3.0-1.fc40.x86_64/usr/share/icinga-kubernetes
cp -rv schema %_topdir/BUILDROOT/icinga-kubernetes-0.3.0-1.fc40.x86_64/usr/share/icinga-kubernetes/

%pre
getent passwd icinga-kubernetes >/dev/null || useradd -rU -d /etc/icinga-kubernetes -s /sbin/nologin icinga-kubernetes

%post
%systemd_post icinga-kubernetes.service

%preun
%systemd_preun icinga-kubernetes.service

%postun
%systemd_postun_with_restart icinga-kubernetes.service

%files
%doc README.md
%license LICENSE
/usr/sbin/icinga-kubernetes
%{_unitdir}/icinga-kubernetes.service
%{_unitdir}/icinga-kubernetes@.service
%{_unitdir}-generators/icinga-kubernetes-generator
/usr/share/icinga-kubernetes/schema

%attr(-, icinga-kubernetes, root) /etc/icinga-kubernetes
%attr(-, icinga-kubernetes, root) %config(noreplace) /etc/icinga-kubernetes/config.yml
%attr(-, icinga-kubernetes, root) %config(noreplace) /etc/default/icinga-kubernetes
%attr(-, icinga-kubernetes, root) %config(noreplace) /etc/icinga-kubernetes/default.env

%changelog
* Thu May 22 2025 Icinga GmbH <info@icinga.com> - 0.3.0-1.fc40
- Version 0.3.0-1

